Subject: Re: [IPP] Final review draft for PWG 5100.15-2013 - IPP FaxOut Service

From: Michael Sweet <[email-masked]>
Date: Mon, 02 Dec 2013 11:15:38 -0500

Hi Manabu-san,

Thank you for your feedback.  Responses inline below...

On Nov 29, 2013, at 12:55 AM, fx IWASAKI MANABU <[email-masked]> wrote:
> Hi Michael-san, and All,
> 
> My name is Manabu Iwasaki, I'm working with Shin Ohtake in Fuji Xerox. I got the representative of Fuji Xerox instead of him. Good to meet you, and I'm looking forward to doing business with you.
> 
> I give feedback about IPP FaxOut Service. If you have any questions, please let me know. I hope these are all right.
> 
> -------------
> No1,
> [Section]
> 4.3 IPP Printer Description Attributes
> [Feedback]
> In Table2, "multiple-operation-timeout" should be "multiple-operation-time-out" according to RFC2911.

Correct.  Also noticed this is an error in the IPP Everywhere spec. (errata posted)

> 
> -------------
> No2,
> [Section]
> 4.3 IPP Printer Description Attributes
> [Feedback]
> In Table2,please drop "overrides-supported" from required attribute because it is not necessary when "overrides" is not supported.  

Removed

> No3,
> [Section]
> 4.3 IPP Printer Description Attributes
> [Feedback]
> In Table2, "logo-uri-format-supported" and "logo-uri-schemes-supported" are required for only printers that supported "logo" member attribute of the "cover-sheet-info" Job Template attributes. Please remove them from table of required attributes.

Actually, this needs to reference note 1 (conditionally required).

> -------------
> No4,
> [Section]
> 4.3 IPP Printer Description Attributes
> [Feedback]
> There is no description about "ipp-extensions-supported" in PWG5100.13. It seems to be renamed to "ipp-features-supported". Please correct description.

Fixed.

> 
> -------------
> No5,
> [Section]
> 4.4 IPP Operation Attributes 
> [Feedback]
> There is no description about "first-job-id" attribute in RFC2911. Please give us proper reference source. 

This is a CUPS extension and has been removed. The IPP Everywhere spec has the same issue (errata reported)

> -------------
> No6,
> [Section]
> 7.4.14 input-quality-supported 
> [Feedback]
> There is no description about syntax of "input-quality-supported" attribute.

Section 7.4.14 has the description.

> 
> Always thanks,
> Manabu
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Sweet
> Sent: Saturday, November 23, 2013 4:29 AM
> To: [email-masked]
> Subject: [IPP] Final review draft for PWG 5100.15-2013 - IPP FaxOut Service
> 
> All,
> 
> I have posted the final review draft of the IPP FaxOut Service, which will become PWG 5100.15.  This draft addresses the editorial comments made during the Formal Vote, all to do with some of the conformance statements not being updated WRT Add-Document-Images being made RECOMMENDED based on the Last Call feedback.
> 
> 	ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfaxout10-20131115.docx
> 	ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfaxout10-20131115.pdf
> 	ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfaxout10-20131115-rev.pdf
> 
> Note: I left the change log and line numbers enabled for review of the document, which will be removed prior to publication. However, the status, cover page, and headers all reflect that this specification is an approved Candidate Standard (just awaiting publication...)
> 
> We will review the changes at the beginning of the Dec 2, 2013 WG conference call.
> 
> _______________________________________________________________
> Michael Sweet, Senior Printing System Engineer, PWG Chair
> 
> _______________________________________________
> ipp mailing list
> [email-masked]
> https://www.pwg.org/mailman/listinfo/ipp

_______________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: fx IWASAKI MANABU <[email-masked]>
Date: Thu, 5 Dec 2013 13:58:04 +0900

Mike-san,

Thank you for updated. I check them, and then I have two more feedbacks. Listed below are for your consideration.

> No3,
> [Section]
> 4.3 IPP Printer Description Attributes [Feedback] In Table2,

Condition is not an appropriate. I think "Note" should be...
" CONDITIONAL REQUIRED for Printers that support the "logo" member attribute of the "cover-sheet-info" Job Template attribute."

> Section 7.4.14 has the description.

There is no Syntax after chapter title. I think this chapter needs Syntax "(1setOf type2 keyword)".

I hope these are all right.
Always thanks,
Manabu

-----Original Message-----
From: Michael Sweet [mailto:[email-masked]] 
Sent: Tuesday, December 03, 2013 1:16 AM
To: fx IWASAKI MANABU
Cc: [email-masked]
Subject: Re: [IPP] Final review draft for PWG 5100.15-2013 - IPP FaxOut Service

Hi Manabu-san,

On Nov 29, 2013, at 12:55 AM, fx IWASAKI MANABU <[email-masked]> wrote:
> 4.3 IPP Printer Description Attributes [Feedback] In Table2, 
> "multiple-operation-timeout" should be "multiple-operation-time-out" according to RFC2911.

> 
> -------------
> No2,
> [Section]
> 4.3 IPP Printer Description Attributes [Feedback] In Table2,please 
> drop "overrides-supported" from required attribute because it is not necessary when "overrides" is not supported.

Removed

> No3,
> [Section]
> 4.3 IPP Printer Description Attributes [Feedback] In Table2, 
> "logo-uri-format-supported" and "logo-uri-schemes-supported" are required for only printers that supported "logo" member attribute of the "cover-sheet-info" Job Template attributes. Please remove them from table of required attributes.

> -------------
> No4,
> [Section]
> 4.3 IPP Printer Description Attributes [Feedback] There is no 
> description about "ipp-extensions-supported" in PWG5100.13. It seems to be renamed to "ipp-features-supported". Please correct description.

Fixed.

> Note: I left the change log and line numbers enabled for review of the 
> document, which will be removed prior to publication. However, the 
> status, cover page, and headers all reflect that this specification is 
> an approved Candidate Standard (just awaiting publication...)
>

---

From: Michael Sweet <[email-masked]>
Date: Thu, 05 Dec 2013 10:32:18 -0500

Manabu-san,

Thank you for this feedback!

Given that we have just published this specification, I'd like to hold onto these comments for a future errata update sometime next year.  That way we can address any other comments that come in and do a single PWG Call for Objections.

>> We will review the changes at the beginning of the Dec 2, 2013 WG conference call.

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair